> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves a single MCP server configuration by its slug.

# Get MCP Server

For the complete error reference, see [Error Guide](/rest-api/ai-agents-apis/error-codes).


## OpenAPI

````yaml get /ai-agents/agent-builder/mcp-servers/{slug}
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/agent-builder/mcp-servers/{slug}:
    get:
      tags:
        - Agent Builder MCP Servers
      summary: Get MCP Server
      description: >-
        Retrieves a specific MCP server by its slug. Use this endpoint to
        inspect an MCP server's configuration and connected agents.
      operationId: McpServersController_getMcpServerBySlug
      parameters:
        - name: slug
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: MCP server details
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    example: myapp_my-mcp-server
                  appId:
                    type: string
                    example: my-app-id
                  slug:
                    type: string
                    example: my-mcp-server
                  name:
                    type: string
                    example: My MCP Server
                  description:
                    type: string
                    example: A Model Context Protocol server
                  url:
                    type: string
                    example: https://mcp.example.com/sse
                  icon:
                    type: string
                    example: https://example.com/icon.png
                  createdAt:
                    type: number
                    example: 1700000000000
                  updatedAt:
                    type: number
                    example: 1700000000000
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````